Package Details: paperkey 1.3-1

Git Clone URL: https://aur.archlinux.org/paperkey.git (read-only)
Package Base: paperkey
Description: Make long term backups of OpenPGP keys by printing only the secret bits on paper.
Upstream URL: http://www.jabberwocky.com/software/paperkey/
Licenses: GPL2
Submitter: rich_o
Maintainer: rich_o
Last Packager: rich_o
Votes: 19
Popularity: 1.320900
First Submitted: 2009-01-23 14:09
Last Updated: 2015-06-10 09:00

Dependencies (1)

Required by (0)

Sources (1)

Latest Comments

twiggers commented on 2014-04-22 11:56

namcap prints this error:

paperkey E: Dependency glibc detected and not included (libraries ['usr/lib/libc.so.6'] needed in files ['usr/bin/paperkey'])

rich_o commented on 2014-03-19 14:34

@holos: Thank you!

holos commented on 2014-01-14 19:54

the lack of a package() function is deprecated and will be considered broken in pacman 4.2.

it is no longer necessary to cd "$srcdir", as all the functions start in $srcdir.

it is no longer necessary to have "|| return 1", as a nonzero exit status anywhere will cause makepkg to fail

Here's a PKGBUILD
http://sprunge.us/bhfa

Anonymous comment on 2013-02-26 16:34

Really don't think that --host=$(uname -m) is necessary, at least not any more. Worked fine on my x86_64 install.

rich_o commented on 2011-07-05 08:39

@sunaku: Thank you very much!

sunaku commented on 2011-07-01 06:10

I had to patch the PKGBUILD to compile on my 64-bit laptop:

--- PKGBUILD.orig 2011-06-30 23:05:04.697408382 -0700
+++ PKGBUILD 2011-06-30 23:05:11.347372356 -0700
@@ -12,7 +12,7 @@

build() {
cd $srcdir/$pkgname-$pkgver
- ./configure --prefix=/usr || return 1
+ sh ./configure --prefix=/usr --host=$(uname -m) || return 1
make || return 1
make DESTDIR=$pkgdir install || return 1
}

sunaku commented on 2011-06-30 22:26

Does not build! See error below:

==> Building and installing package
==> Making package: paperkey 1.2-1 (Thu Jun 30 15:21:01 PDT 2011)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving Sources...
-> Found paperkey-1.2.tar.gz
==> Validating source files with md5sums...
paperkey-1.2.tar.gz ... Passed
==> Extracting Sources...
-> Extracting paperkey-1.2.tar.gz with bsdtar
==> Removing existing pkg/ directory...
==> Entering fakeroot environment...
==> Starting build()...
/tmp/yaourt-tmp-sunny/aur-paperkey/./PKGBUILD: line 15: ./configure: Permission denied
==> ERROR: A failure occurred in build().
Aborting...
==> ERROR: Makepkg was unable to build paperkey.